Refer friends and earn rewards this week
Kongo Docs

Search Markets and Events

Searches Gamma-compatible markets, events, and tags

Get Help
GET
/public-search

Query Parameters

q*string

Search term.

limit_per_type?integer

Maximum number of rows to return per result type.

Range1 <= value <= 500
Default25
page?integer

1-based search results page.

Range1 <= value
Default1
search_tags?boolean

Set to true to include tag matches.

Defaulttrue
search_profiles?boolean

Accepted for Gamma compatibility, but profile search results are not returned by this service.

Defaultfalse
creator?string

Optional creator filter. Use a creator wallet address or a site identifier to scope results to markets available on that site.

Response Body

application/json

application/json

curl -X GET "https://example.com/public-search?q=trump"
{  "events": [    {      "id": "31552",      "ticker": "presidential-election-winner-2028",      "slug": "presidential-election-winner-2028",      "title": "Presidential Election Winner 2028"    }  ],  "tags": [    {      "id": "126",      "label": "Trump",      "slug": "trump",      "event_count": 3192    }  ],  "pagination": {    "hasMore": true,    "totalResults": 3192  }}
{  "type": "bad request",  "error": "q is required"}